
jQuery.fn.center = function () {
    this.css("position","absolute");
    this.css("top", ( $(window).height() - this.height() ) / 2+$(window).scrollTop() + "px");
    this.css("left", ( $(window).width() - this.width() ) / 2+$(window).scrollLeft() + "px");
    return this;
}

$(document).ready(function(){
     $("#messageBox").slideDown("slow", function() {
	setTimeout( function() { 
	    $('#messageBox').slideUp(); }, 5000
	)
    });
});

function ajaxActivateRule(RuleID,isActive,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action=activateRule&ID='+RuleID+'&isActive='+isActive,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}


function ajaxGetRulesForm(RuleID,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action=getRulesForm&ID='+RuleID,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxAction(action,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action='+action,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxTimeProperties(ID,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action=editTime&ID='+ID,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxUserProperties(ID,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action=editUser&ID='+ID,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}

function ajaxGroupProperties(ID,container) {
    $.ajax({
	type : 'POST',
	url : 'ajaxCb.php',
	data: 'action=editGroup&ID='+ID,
	dataType: 'html',
	success: function(data) {
	    $(container).html(data).fadeIn(300);
        },
	error: function(XMLHttpRequest, textStatus, errorThrown) {
	    $(container).html('There was an error.').fadeIn(300);
	}
    });
}
