<?php
include "common.inc.php";

# Open DB
$db = OpenDB();

if(isset($_GET["getConnectionsStats"])) {
    require_once('OFC/OFC_Chart.php');

    $result = mysql_query("SELECT DISTINCT(Domain) FROM DB_Access WHERE TIMESTAMPDIFF(MINUTE,AddDate,NOW()) < 60 ORDER BY Domain;");
    if($result === false) {
	printf("Errore Mysql: %s\n",mysql_error());
	exit();
    }
    
    $labels = array();
    $values = array();
    
    if(mysql_num_rows($result) > 0) {
	while($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
	    $myDomain = stripslashes($row["Domain"]);
	    $domResult = mysql_query("SELECT COUNT(*) FROM DB_Access WHERE TIMESTAMPDIFF(MINUTE,AddDate,NOW()) < 60 AND Domain='$myDomain';");
    	    $row = mysql_fetch_row($domResult);
    	    if(intval($row[0]) > 10) {
	        $labels[] = $myDomain;
		$values[] = intval($row[0]);
	    }
	}
    }

    $title = new OFC_Elements_Title( "Analyzed connections in last 60 mins" );
    $title->set_style( "{font-size: 15px; font-weight: bold; color: #333333; text-align: center;}" );

    $bar = new OFC_Charts_Bar_3d();
    $bar->set_values( $values );
    $bar->colour = '#D54C78';
    // grid steps:

    $y_axis = new OFC_Elements_Axis_Y();
    $y_axis->set_range( 0, 200, 10);

    $x_axis = new OFC_Elements_Axis_X();
    $x_axis->set_3d(5);
    $x_axis->colour = '#909090';
    $x_axis->set_labels_from_array($labels); 

    $chart = new OFC_Chart();
    $chart->set_bg_colour( '#EEEEEE' );
    $chart->set_title( $title );
    $chart->add_element( $bar );
    $chart->set_y_axis( $y_axis );
    $chart->set_x_axis( $x_axis );

    echo $chart->toPrettyString();
}

$authRequired = 1; /* This page can be accessed only by administrators */

include "common_header.php";

echo "
<script type='text/javascript' src='/js/swfobject.js'></script>
<div id='connectionStats' style='text-align: center;'></div>
<script type='text/javascript'>
        var so = new SWFObject('/open-flash-chart.swf', 'ofc', '700', '400', '9', '#FFFFFF');
        so.addVariable('data-file', 'stats.php?getConnectionsStats=1');
        so.addParam('allowScriptAccess', 'always' );
        so.addVariable('bg_colour','#eeeeee');
        so.write('connectionStats');
</script>";


include "common_footer.php";

?>